Ubisoft
Get Ubisoft profile
POST
/
tools
/
ubisoft
/
profile
Get Ubisoft profile
curl --request POST \
--url https://api.osint.ly/tools/ubisoft/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "SomeUbisoftName",
"type": "username"
}
'import requests
url = "https://api.osint.ly/tools/ubisoft/profile"
payload = {
"value": "SomeUbisoftName",
"type": "username"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'SomeUbisoftName', type: 'username'})
};
fetch('https://api.osint.ly/tools/ubisoft/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ubisoft/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'SomeUbisoftName',
'type' => 'username'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ubisoft/profile"
payload := strings.NewReader("{\n \"value\": \"SomeUbisoftName\",\n \"type\": \"username\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ubisoft/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"SomeUbisoftName\",\n \"type\": \"username\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ubisoft/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"SomeUbisoftName\",\n \"type\": \"username\"\n}"
response = http.request(request)
puts response.read_body{
"tool": "epic-games",
"operation": "search",
"query": {
"value": "some-player",
"type": "epic_display_name"
},
"data": {},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Ubisoft name, Ubisoft ID, or linked platform identifier to look up.
Examples:
"SomeUbisoftName"
"0ab3ec03-b309-4f46-a89a-f53b6cfe3073"
"76561198000000000"
Canonical Ubisoft search type or accepted alias. A UUID sent as username is searched as user_id.
Available options:
username, user_id, psn, xbl, steam, discord, epic, ubisoft, uplay, nickname, id, uuid, ubisoft_id, playstation, xbox, gamertag, xuid, epic_games Example:
"username"
Only used on /all. When true, saves the synchronous result for later retrieval.
Was this page helpful?
⌘I
Get Ubisoft profile
curl --request POST \
--url https://api.osint.ly/tools/ubisoft/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "SomeUbisoftName",
"type": "username"
}
'import requests
url = "https://api.osint.ly/tools/ubisoft/profile"
payload = {
"value": "SomeUbisoftName",
"type": "username"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'SomeUbisoftName', type: 'username'})
};
fetch('https://api.osint.ly/tools/ubisoft/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ubisoft/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'SomeUbisoftName',
'type' => 'username'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ubisoft/profile"
payload := strings.NewReader("{\n \"value\": \"SomeUbisoftName\",\n \"type\": \"username\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ubisoft/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"SomeUbisoftName\",\n \"type\": \"username\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ubisoft/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"SomeUbisoftName\",\n \"type\": \"username\"\n}"
response = http.request(request)
puts response.read_body{
"tool": "epic-games",
"operation": "search",
"query": {
"value": "some-player",
"type": "epic_display_name"
},
"data": {},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}